package com.ruoyi.project.sems.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.sems.mapper.TSpecFileMapper;
import com.ruoyi.project.sems.domain.TSpecFile;
import com.ruoyi.project.sems.service.ITSpecFileService;

/**
 * 特种设备文件Service业务层处理
 *
 * @author ruoyi
 * @date 2021-08-02
 */
@Service
public class TSpecFileServiceImpl implements ITSpecFileService
{
    @Autowired
    private TSpecFileMapper tSpecFileMapper;

    /**
     * 查询特种设备文件
     *
     * @param id 特种设备文件ID
     * @return 特种设备文件
     */
    @Override
    public TSpecFile selectTSpecFileById(Long id)
    {
        return tSpecFileMapper.selectTSpecFileById(id);
    }

    /**
     * 查询特种设备文件列表
     *
     * @param tSpecFile 特种设备文件
     * @return 特种设备文件
     */
    @Override
    public List<TSpecFile> selectTSpecFileList(TSpecFile tSpecFile)
    {
        return tSpecFileMapper.selectTSpecFileList(tSpecFile);
    }

    /**
     * 新增特种设备文件
     *
     * @param tSpecFile 特种设备文件
     * @return 结果
     */
    @Override
    public int insertTSpecFile(TSpecFile tSpecFile)
    {
        return tSpecFileMapper.insertTSpecFile(tSpecFile);
    }

    /**
     * 修改特种设备文件
     *
     * @param tSpecFile 特种设备文件
     * @return 结果
     */
    @Override
    public int updateTSpecFile(TSpecFile tSpecFile)
    {
        return tSpecFileMapper.updateTSpecFile(tSpecFile);
    }

    /**
     * 批量删除特种设备文件
     *
     * @param ids 需要删除的特种设备文件ID
     * @return 结果
     */
    @Override
    public int deleteTSpecFileByIds(Long[] ids)
    {
        return tSpecFileMapper.deleteTSpecFileByIds(ids);
    }

    /**
     * 删除特种设备文件信息
     *
     * @param id 特种设备文件ID
     * @return 结果
     */
    @Override
    public int deleteTSpecFileById(Long id)
    {
        return tSpecFileMapper.deleteTSpecFileById(id);
    }
}
